# Uses of Class
org.apache.sysds.runtime.matrix.operators.UnaryOperator

Packages that use UnaryOperator
Package
Description
org.apache.sysds.runtime.compress
org.apache.sysds.runtime.compress.colgroup
org.apache.sysds.runtime.compress.colgroup.dictionary
org.apache.sysds.runtime.compress.lib
org.apache.sysds.runtime.instructions
org.apache.sysds.runtime.matrix.data

## Uses of UnaryOperator in org.apache.sysds.runtime.compress

Methods in org.apache.sysds.runtime.compress with parameters of type UnaryOperator
Modifier and Type
Method
Description
`MatrixBlock`
CompressedMatrixBlock.`unaryOperations(UnaryOperator op, MatrixValue result)`

## Uses of UnaryOperator in org.apache.sysds.runtime.compress.colgroup

Methods in org.apache.sysds.runtime.compress.colgroup with parameters of type UnaryOperator
Modifier and Type
Method
Description
`abstract AColGroup`
AColGroup.`unaryOperation(UnaryOperator op)`
Perform unary operation on the column group and return a new column group
`AColGroup`
ColGroupConst.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupDDC.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupDDCFOR.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupDDCLZW.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupDeltaDDC.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupEmpty.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupLinearFunctional.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupOLE.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupRLE.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupSDC.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupSDCFOR.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupSDCSingle.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupSDCSingleZeros.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupSDCZeros.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupUncompressed.`unaryOperation(UnaryOperator op)`
`AColGroup`
ColGroupUncompressedArray.`unaryOperation(UnaryOperator op)`
`static double[]`
ColGroupUtils.`unaryOperator(UnaryOperator op, double[] reference)`

## Uses of UnaryOperator in org.apache.sysds.runtime.compress.colgroup.dictionary

Methods in org.apache.sysds.runtime.compress.colgroup.dictionary with parameters of type UnaryOperator
Modifier and Type
Method
Description
`IDictionary`
ADictionary.`applyUnaryOp(UnaryOperator op)`
`Dictionary`
Dictionary.`applyUnaryOp(UnaryOperator op)`
`IDictionary`
IDictionary.`applyUnaryOp(UnaryOperator op)`
Allocate a new dictionary and apply the unary operator on each cell.
`IDictionary`
MatrixBlockDictionary.`applyUnaryOp(UnaryOperator op)`
`IDictionary`
ADictionary.`applyUnaryOpAndAppend(UnaryOperator op, double v0, int nCol)`
`IDictionary`
Dictionary.`applyUnaryOpAndAppend(UnaryOperator op, double v0, int nCol)`
`IDictionary`
IDictionary.`applyUnaryOpAndAppend(UnaryOperator op, double v0, int nCol)`
Allocate a new dictionary with one extra row and apply the unary operator on each cell.
`IDictionary`
MatrixBlockDictionary.`applyUnaryOpAndAppend(UnaryOperator op, double v0, int nCol)`
`IDictionary`
ADictionary.`applyUnaryOpWithReference(UnaryOperator op, double[] reference, double[] newReference)`
`IDictionary`
Dictionary.`applyUnaryOpWithReference(UnaryOperator op, double[] reference, double[] newReference)`
`IDictionary`
IDictionary.`applyUnaryOpWithReference(UnaryOperator op, double[] reference, double[] newReference)`
Allocate a new dictionary and apply the scalar operation on each cell to then return a new dictionary.
`IDictionary`
MatrixBlockDictionary.`applyUnaryOpWithReference(UnaryOperator op, double[] reference, double[] newReference)`

## Uses of UnaryOperator in org.apache.sysds.runtime.compress.lib

Methods in org.apache.sysds.runtime.compress.lib with parameters of type UnaryOperator
Modifier and Type
Method
Description
`static MatrixBlock`
CLALibUnary.`unaryOperations(CompressedMatrixBlock m, UnaryOperator op, MatrixValue result)`

## Uses of UnaryOperator in org.apache.sysds.runtime.instructions

Methods in org.apache.sysds.runtime.instructions that return UnaryOperator
Modifier and Type
Method
Description
`static UnaryOperator`
InstructionUtils.`parseUnaryOperator(String opcode)`
`static UnaryOperator`
InstructionUtils.`parseUnaryOperator(String opcode, int k)`
Methods in org.apache.sysds.runtime.instructions with parameters of type UnaryOperator
Modifier and Type
Method
Description
`static AggregateUnaryOperator`
InstructionUtils.`parseBasicCumulativeAggregateUnaryOperator(UnaryOperator uop)`

## Uses of UnaryOperator in org.apache.sysds.runtime.matrix.data

Methods in org.apache.sysds.runtime.matrix.data with parameters of type UnaryOperator
Modifier and Type
Method
Description
`static MatrixBlock`
LibMatrixAgg.`cumaggregateUnaryMatrix(MatrixBlock in, MatrixBlock out, UnaryOperator uop)`
`static MatrixBlock`
LibMatrixAgg.`cumaggregateUnaryMatrix(MatrixBlock in, MatrixBlock out, UnaryOperator uop, double[] agg)`
`static MatrixBlock`
LibMatrixAgg.`cumaggregateUnaryMatrix(MatrixBlock in, MatrixBlock out, UnaryOperator uop, int k)`
`static boolean`
LibMatrixAgg.`isSupportedUnaryOperator(UnaryOperator op)`
`void`
MatrixCell.`sparseUnaryOperationsInPlace(UnaryOperator op)`
`void`
WeightedCell.`sparseUnaryOperationsInPlace(UnaryOperator op)`
`final MatrixBlock`
MatrixBlock.`unaryOperations(UnaryOperator op)`
`MatrixBlock`
MatrixBlock.`unaryOperations(UnaryOperator op, MatrixValue result)`
`MatrixValue`
MatrixCell.`unaryOperations(UnaryOperator op, MatrixValue result)`
`abstract MatrixValue`
MatrixValue.`unaryOperations(UnaryOperator op, MatrixValue result)`
`MatrixValue`
WeightedCell.`unaryOperations(UnaryOperator op, MatrixValue result)`
`static MatrixBlock`
LibMatrixBincell.`uncellOp(MatrixBlock m1, MatrixBlock ret, UnaryOperator op)`